Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1999998 - snap installation broken due to squashfs-tools update
Summary: snap installation broken due to squashfs-tools update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maciek Borzecki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-01 07:21 UTC by Maciek Borzecki
Modified: 2021-09-24 20:13 UTC (History)
4 users (show)

Fixed In Version: snapd-2.51.7-1.fc34 snapd-2.51.7-1.fc33 snapd-2.51.7-1.el8 snapd-2.51.7-1.el7 snapd-2.51.7-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-02 23:46:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Maciek Borzecki 2021-09-01 07:21:11 UTC
Description of problem:

With recent squashfs-tools update to 4.5, snapd can no longer install any snaps. This is caused by change in the output format of unsquashfs -ll command, which breaks validation of snap contents during install.

Version-Release number of selected component (if applicable):
snapd-2.51-1.fc34
squashfs-tools-4.5-2.fc34 

How reproducible:
always

Steps to Reproduce:
1. update to latest repository snapshot which includes squashfs-tools 4.5
2. snap install afils
3.

Comment 1 Fedora Update System 2021-09-01 09:55:48 UTC
FEDORA-2021-7654a1c2c7 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7654a1c2c7

Comment 2 Fedora Update System 2021-09-01 09:55:51 UTC
FEDORA-2021-87c0fbffd3 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-87c0fbffd3

Comment 3 Fedora Update System 2021-09-01 09:55:54 UTC
FEDORA-2021-a63594f15e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a63594f15e

Comment 4 Fedora Update System 2021-09-01 09:59:53 UTC
FEDORA-EPEL-2021-42d5ef4bdd has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-42d5ef4bdd

Comment 5 Fedora Update System 2021-09-01 09:59:54 UTC
FEDORA-EPEL-2021-bd47aa5487 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bd47aa5487

Comment 6 Fedora Update System 2021-09-01 19:26:42 UTC
FEDORA-2021-87c0fbffd3 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-87c0fbffd3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-87c0fbffd3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-01 20:20:13 UTC
FEDORA-2021-7654a1c2c7 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7654a1c2c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7654a1c2c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-01 20:21:28 UTC
FEDORA-2021-a63594f15e has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a63594f15e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a63594f15e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-01 20:38:48 UTC
FEDORA-EPEL-2021-bd47aa5487 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bd47aa5487

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-01 20:45:30 UTC
FEDORA-EPEL-2021-42d5ef4bdd has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-42d5ef4bdd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-02 23:46:29 UTC
FEDORA-2021-7654a1c2c7 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-09-09 17:45:31 UTC
FEDORA-2021-a63594f15e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-09-09 17:52:24 UTC
FEDORA-EPEL-2021-bd47aa5487 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-09-09 18:08:08 UTC
FEDORA-EPEL-2021-42d5ef4bdd has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-09-24 20:13:02 UTC
FEDORA-2021-87c0fbffd3 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.